For the complete documentation index, see llms.txt. This page is also available as Markdown.

CACM Governance Cost Settings

Get/set cost type settings for CACM governance

Get governance cost settings

get

Get governance cost settings for an account

Query parameters
accountIdentifierstringOptional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/governance/cost-settings
GET /gateway/ccm/api/governance/cost-settings HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Update governance cost settings

put

Update governance cost settings for an account

Query parameters
accountIdentifierstringOptional
Body
uuidstringOptional
accountIdstringOptional
createdAtinteger · int64Optional
lastUpdatedAtinteger · int64Optional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/governance/cost-settings
PUT /gateway/ccm/api/governance/cost-settings HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 459

{
  "uuid": "text",
  "accountId": "text",
  "createdAt": 1,
  "lastUpdatedAt": 1,
  "awsSettings": {
    "costType": "UNBLENDED"
  },
  "azureSettings": {
    "costType": "ACTUAL"
  },
  "gcpSettings": {
    "costType": "COST",
    "includeDiscounts": true,
    "includeTaxes": true,
    "includePromotions": true,
    "includeNegotiatedSavings": true,
    "includeSubscriptionCredits": true,
    "includeSustainedUseDiscounts": true,
    "includeResourceBasedCudCredits": true,
    "includeLegacyBasedCudCredits": true,
    "includeSpendBasedCudDiscounts": true
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?